%global base_version 1.9764

Summary:        High resolution alarm, sleep, gettimeofday, interval timers
Name:           perl-Time-HiRes
Version:        1.9770
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Time-HiRes
Source0:        https://cpan.metacpan.org/authors/id/A/AT/ATOOMIC/Time-HiRes-%{base_version}.tar.gz
Patch3000:      Time-HiRes-1.9764-Upgrade-to-1.9770.patch

BuildRequires:  coreutils findutils
BuildRequires:  make gcc
BuildRequires:  perl-devel perl-generators perl-interpreter perl(Config) perl(File::Spec)
BuildRequires:  perl(ExtUtils::Constant) perl(strict) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Carp) perl(Exporter) perl(XSLoader)
BuildRequires:  perl(File::Temp) perl(Test::More) perl(POSIX)
Requires:       perl(Carp)

%description
This module implements high resolution time and timers.It provides a Perl interface for 
the usleep, nanosleep, ualarm, gettimeofday, and setitimer/getitimer system calls.

%prep
%autosetup -p1 -n Time-HiRes-%{base_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="%{optflags}"
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Time*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9770-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9770-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9770-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.9770-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9770-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9770-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Sep 28 2022 Wang Guodong <gordonwwang@tencent.com> - 1.9770-1
- Update 1.9770.patch to replace G_ARRAY with G_LIST for Perl 5.36.

* Wed Aug 17 2022 Wang Guodong <gordonwwang@tencent.com> - 1.9767-1
- package init.